Kan ikke share Synology 415+ til Roon (musikprogram) "LØST"

persen61
Antal: 229
Tilmeldt:
04-01-2009
User is offline
Kan ikke share Synology 415+ til Roon (musikprogram) "LØST"

Kunne godt bruge noget hjælp herinde fra, til at løse et problem med at få en musik mappe på min Nas til at blive set af softwareprogrammet Roon.
Har sat Nas til at køre SMB, min bærbar hvor der er installeret Mint 19 på, har ingen problemer med at se alle
mapper på Nas'en.
Når jeg højre klikker på musik mappe og får så stien til Nas'en og sætter denne ind i programmet, for add share mappe, smb://sys415.local/share/musik, sætter brugernavn og kode ind også til Nas'en
trykker ok, så kommer der en fejl som siger:

There was an unexpected error: Invalid Network Path.

Nogen der har et godt råd til at løse dette problem, syntes jeg har sat alt rigtig op.

Det skal siges når jeg sætter en USB harddisk med musik til min bærbar, så finder Roon den med det samme
og det hele spiller som det skal ?


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Prøv at ændre sys415.local

Prøv at ændre sys415.local med IP-adressen, om ikke andet for at kontrollere om det skyldes netbios.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
Ændrede til IP-adressen

#1:
Ændrede til IP-adressen det blev samme resultat, hvad mener du med netbios
Frogmaster ?


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
NetBIOS er et API der er/var

Helt Kort. NetBIOS er et API der er/var en del af navne resolution på et SMB (samba) lokalt netværk, som visse programmer bruger til forbindelserne. Hvis du vil vide mere om NetBIOS, så er det her på dansk: https://da.wikipedia.org/wiki/NetBIOS

Kan du pinge NAS serveren fra Mint?
Eksempler:

ping -c 3 ip-adressen (til NAS)
ping -c 3 sys415.local
ping -c 3 sys415

Hvad siger en nbtscan fra Mint?
nbtscan skal formentlig først installeres på Mint maskinen:

sudo apt install nbtscan.

Command: nbtscan -v -s : IP range/24 - eksempelvis:
nbtscan -v -s : 192.168.0.0/24.

Indsæt venligst resultatet her i tråden.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#3

#3
frandsen@Asus-PC:~$ ^C
frandsen@Asus-PC:~$ nbtscan -v -s : 192.168.1.105/24
192.168.1.0 Sendto failed: Permission denied
192.168.1.113:ASUS-PC :00U
192.168.1.113:ASUS-PC :03U
192.168.1.113:ASUS-PC :20U
192.168.1.113:##__MSBROWSE__#:01G
192.168.1.113:WORKGROUP :00G
192.168.1.113:WORKGROUP :1dU
192.168.1.113:WORKGROUP :1eG
192.168.1.113:MAC:00:00:00:00:00:00
192.168.1.105:SYS415 :00U
192.168.1.105:SYS415 :03U
192.168.1.105:SYS415 :20U
192.168.1.105:WORKGROUP :00G
192.168.1.105:WORKGROUP :1eG
192.168.1.105:MAC:00:00:00:00:00:00
192.168.1.154:ASUS-PC :00U
192.168.1.154:ASUS-PC :03U
192.168.1.154:ASUS-PC :20U
192.168.1.154:##__MSBROWSE__#:01G
192.168.1.154:WORKGROUP :00G
192.168.1.154:WORKGROUP :1dU
192.168.1.154:WORKGROUP :1eG
192.168.1.154:MAC:00:00:00:00:00:00
192.168.1.255 Sendto failed: Permission denied
frandsen@Asus-PC:~$
frandsen@Asus-PC:~$ -ping -3 192.168.1.105

Kommandoen "-ping" blev ikke fundet. Mente du:

kommandoen "aping" fra deb ripe-atlas-tools
kommandoen "ping" fra deb iputils-ping
kommandoen "ping" fra deb inetutils-ping
kommandoen "rping" fra deb rdmacm-utils
kommandoen "2ping" fra deb 2ping
kommandoen "qping" fra deb gridengine-client
kommandoen "fping" fra deb fping
kommandoen "bping" fra deb ion
kommandoen "tping" fra deb lam-runtime
kommandoen "nping" fra deb nmap
kommandoen "oping" fra deb oping

Prøv: sudo apt install

Det der undre mig er, at jeg ikke har problemer med at tilgå server igennem mappen Netsværkservere ?
Der står SYS415, når jeg klikker, så kommer alle share mapper frem, og jeg kan tilgå dem ?


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Kommandoen "-ping" blev

#4:
Kommandoen "-ping" blev ikke fundet

Du skal ikke medtage bindestregen før ping. Jeg har rettet i eksemplet, for at undgå misforståelser.

Indtil jeg lige får kikket nbtscan nærmere igennem, så bemærker jeg du har to masterbrowsere (__MSBROWSE__) på samme IP segment, hvilket kan, men ikke nødvendigvis gør, forårsage lokale netværksproblemer.

Det der undre mig er, at jeg ikke har problemer med at tilgå server igennem mappen Netsværkservere ?

Du kan prøve om det hjælper, på Mint, først at mounte delingen fra NAS med Nemo File manager, før du opretter forbindelse gennem Roon.

Jeg tænkte dit problem skyldes at delingen fra NAS til Mint, aldrig blev oprettet i Mint, hvilket er en forudsætning for funktionaliteten.

- Først mounte delingen i Mint.
- Så oprette forbindelse med Roon.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#4Jeg kan de få ting der

#4
Jeg kan de få ting der skal til at køre Linux Mint, men ellers er jeg på bar bund :-)
Hvad er masterbrowsere ?
Har kørt ping det virkede.


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Hvad er masterbrowsere

#6: Hvad er masterbrowsere ?

Glem det et øjeblik, og forsøg først at:

- Først mounte delingen fra NAS i Mint.
- Så oprette forbindelse med Roon.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#7 Ja det skete der ikke

#7
Ja det skete der ikke noget ved, jeg fik ikke adgang igennem Roon.


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Ja det skete der ikke

#8: Ja det skete der ikke noget ved, jeg fik ikke adgang igennem Roon.

Okay. Din asus maskine har to aktive netkort. Det ene er kablet og det andet formenligt trådløst. Det er årsagen til de to masterbrowsere.

Er asus maskinen den samme som Mint?

- Prøv at deaktivere netkortet du ikke bruger på asus og genstart computeren.
- Mount delingen fra NAS på MInt
- Forsøg at oprette forbindelse gennem Roon.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#7Da jeg installerede Roon

#7
Da jeg installerede Roon server var det ved at jeg downloadede programmet udpakkede
det i en mappe og startede Roon server op i terminal, det kører fint med mit musik, når jeg bruger en USB HD disk og bliver styret fra min iPad hvor Roon remote er på, har kørt de pakker ind som kræves til at køre Roon.
Man kunne også køre en setup fil som checkede om man havde alle pakker installeret, men den metode kunne jeg ikke lige finde ud af, troede at det skulle køres i terminalen, men der skete ikke noget ?
Her er setup filen hvordan gør man det ?
Det kunne jo være at jeg fik min NAS på Roon server hvis jeg kørte denne her :-) ?

#!/bin/bash

# blow up on non-zero exit code
set -e

# these are replaced by build.sh
PACKAGE_NAME=RoonServer
ARCH=x64
BRANCH=stable
PACKAGE_FILE=${PACKAGE_NAME}_linux${ARCH}.tar.bz2
PACKAGE_URL=http://roon-updates-${BRANCH}.s3.amazonaws.com/${PACKAGE_FILE}
PACKAGE_NAME_LOWER=`echo "$PACKAGE_NAME" | tr "[A-Z]" "[a-z]"`

TMPDIR=`mktemp -d`
MACHINE_ARCH=`uname -m`
OK=0

CLEAN_EXIT=0

# for colorization
ESC_SEQ="\033["
COL_RESET=$ESC_SEQ"39;49;00m"
COL_RED=$ESC_SEQ"31;01m"
COL_GREEN=$ESC_SEQ"32;01m"
COL_YELLOW=$ESC_SEQ"33;01m"
COL_BLUE=$ESC_SEQ"34;01m"
COL_MAGENTA=$ESC_SEQ"35;01m"
COL_CYAN=$ESC_SEQ"36;01m"
COL_BOLD=$ESC_SEQ"1m"

function hr {
echo -e "${COL_BOLD}--------------------------------------------------------------------------------------${COL_RESET}"
}

function clean_up {
rm -Rf $TMPDIR
if [ x$CLEAN_EXIT != x1 ]; then
echo ""
hr
echo ""
echo -e "${COL_BOLD}${COL_RED}The $PACKAGE_NAME installer did not complete successfully.${COL_RESET}"
echo ""
echo "If you are not sure how to proceed, please check out:"
echo ""
echo " - Roon Labs Community https://community.roonlabs.com/c/support"
echo " - Roon Labs Knowledge Base https://kb.roonlabs.com/LinuxInstall"
echo ""
hr
echo ""
fi
}
trap clean_up EXIT

function install {
#
# Print banner/message
#
echo ""
hr
echo ""
echo -e "${COL_BOLD}Welcome to the $PACKAGE_NAME installer${COL_RESET}"
echo ""
echo "This installer sets up $PACKAGE_NAME to run on linux with the following settings:"
echo ""
echo " - $PACKAGE_NAME will be installed in /opt/$PACKAGE_NAME"
echo " - $PACKAGE_NAME's data will be stored in /var/roon/$PACKAGE_NAME"
echo " - $PACKAGE_NAME will be configured to run as a system service"
echo " - $PACKAGE_NAME will run as root"
echo ""
echo "These settings are suitable for turning a dedicated or semi-dedicated device"
echo "into an appliance that runs $PACKAGE_NAME"
echo ""
echo "If you want customize how $PACKAGE_NAME is installed, see:"
echo ""
echo " http://kb.roonlabs.com/LinuxInstall"
echo ""
hr
echo ""

#
# Check for linux (in case someone runs on OS X, Cygwin, BSD, etc)
#
case `uname -s` in
Linux)
;;
*)
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This package is intended for Linux platforms. It is not compatible with your machine. Exiting."
;;
esac

#
# Check for proper architecture
#
case "$MACHINE_ARCH" in
armv7*)
if [ x$ARCH = xarmv7hf ]; then OK=1; fi
;;
aarch64*)
if [ x$ARCH = xarmv8 ]; then OK=1; fi
if [ x$ARCH = xarmv7hf ]; then OK=1; fi
;;
x86_64*)
if [ x$ARCH = xx64 ]; then OK=1; fi
;;
esac

#
# Check for root privileges
#
if [ x$UID != x0 ]; then
echo ""
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This installer must be run with root privileges. Exiting."
echo ""
exit 2
fi

#
# Check for ffmpeg/avconv
#

if [ x$OK != x1 ]; then
echo ""
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This package is intended for $ARCH platforms. It is not compatible with your machine. Exiting."
echo ""
exit 3
fi

function confirm_n {
while true; do
read -p "$1 [y/N] " yn
case $yn in
[Yy]* )
break
;;
"")
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
[Nn]* )
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
* ) echo "Please answer yes or no.";;
esac
done
}

function confirm {
while true; do
read -p "$1 [Y/n] " yn
case $yn in
"")
break
;;
[Yy]* )
break
;;
[Nn]* )
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
* ) echo "Please answer yes or no.";;
esac
done
}

#
# Double-check with user that this is what they want
#
confirm "Do you want to install $PACKAGE_NAME on this machine?"

echo ""
echo "Downloading $PACKAGE_FILE to $TMPDIR/$PACKAGE_FILE"
echo ""
curl -# -o "$TMPDIR/$PACKAGE_FILE" "$PACKAGE_URL"

echo ""
echo -n "Unpacking ${PACKAGE_FILE}..."
cd $TMPDIR
tar xf "$PACKAGE_FILE"
echo "Done"

if [ ! -d "$TMPDIR/$PACKAGE_NAME" ]; then
echo "Missing directory: $TMPDIR/$PACKAGE_NAME. This indicates a broken package."
exit 5
fi

if [ ! -f "$TMPDIR/$PACKAGE_NAME/check.sh" ]; then
echo "Missing $TMPDIR/$PACKAGE_NAME/check.sh. This indicates a broken package."
exit 5
fi

$TMPDIR/$PACKAGE_NAME/check.sh

if [ -e /opt/$PACKAGE_NAME ]; then
hr
echo ""
echo -e "${COL_RED}${COL_BOLD}Warning:${COL_RESET} The /opt/$PACKAGE_NAME directory already exists."
echo ""
echo "This usually indicates that $PACKAGE_NAME was installed previously on this machine. The previous"
echo "installation must be deleted before the installation can proceed."
echo ""
echo "Under normal circumstances, this directory does not contain any user data, so it should be safe to delete it."
echo ""
hr
echo ""
confirm "Delete /opt/$PACKAGE_NAME and re-install?"
rm -Rf /opt/$PACKAGE_NAME
fi

echo ""
echo -n "Copying Files..."
mv "$TMPDIR/$PACKAGE_NAME" /opt
echo "Done"

# set up systemd
HAS_SYSTEMCTL=1; which systemctl >/dev/null || HAS_SYSTEMCTL=0

if [ $HAS_SYSTEMCTL = 1 -a -d /etc/systemd/system ]; then
SERVICE_FILE=/etc/systemd/system/${PACKAGE_NAME_LOWER}.service

# stop in case it's running from an old install
systemctl stop $PACKAGE_NAME_LOWER || true

echo ""
echo "Installing $SERVICE_FILE"

cat > $SERVICE_FILE << END_SYSTEMD
[Unit]
Description=$PACKAGE_NAME
After=network-online.target

[Service]
Type=simple
User=root
Environment=ROON_DATAROOT=/var/roon
Environment=ROON_ID_DIR=/var/roon
ExecStart=/opt/$PACKAGE_NAME/start.sh
Restart=on-abort

[Install]
WantedBy=multi-user.target
END_SYSTEMD

echo ""
echo "Enabling service ${PACKAGE_NAME_LOWER}..."
systemctl enable ${PACKAGE_NAME_LOWER}.service
echo "Service Enabled"

echo ""
echo "Starting service ${PACKAGE_NAME_LOWER}..."
systemctl start ${PACKAGE_NAME_LOWER}.service
echo "Service Started"
else
echo ""

SERVICE_FILE=/etc/init.d/${PACKAGE_NAME_LOWER}

/etc/init.d/$PACKAGE_NAME_LOWER stop || true

cat > $SERVICE_FILE << END_LSB_INIT
#!/bin/sh

### BEGIN INIT INFO
# Provides: ${PACKAGE_NAME_LOWER}
# Required-Start: \$network
# Required-Stop: \$network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Runs ${PACKAGE_NAME}
### END INIT INFO

# Defaults
DAEMON_NAME="$PACKAGE_NAME"
DAEMON_EXECUTABLE="/opt/$PACKAGE_NAME/start.sh"
DAEMON_OPTIONS=""
DAEMON_HOMEDIR="/opt/$PACKAGE_NAME"
DAEMON_PIDFILE="/var/run/${PACKAGE_NAME_LOWER}.pid"
DAEMON_LOGFILE="/var/log/${PACKAGE_NAME_LOWER}.log"
INIT_SLEEPTIME="2"

export ROON_DATAROOT=/var/roon
export ROON_ID_DIR=/var/roon

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin

if test -f /lib/lsb/init-functions; then
. /lib/lsb/init-functions
fi
if test -f /etc/init.d/functions; then
. /etc/init.d/functions
fi

### DO NOT EDIT BELOW THIS POINT ###

is_running () {
# Test whether pid file exists or not
test -f \$DAEMON_PIDFILE || return 1

# Test whether process is running or not
read PID < "\$DAEMON_PIDFILE"
ps -p \$PID >/dev/null 2>&1 || return 1

# Is running
return 0
}

root_only () {
if [ "\$(id -u)" != "0" ]; then
echo "Only root should run this operation"
exit 1
fi
}

run () {
if is_running; then
PID="\$(cat \$DAEMON_PIDFILE)"
echo "Daemon is already running as PID \$PID"
return 1
fi

cd \$DAEMON_HOMEDIR

nohup \$DAEMON_EXECUTABLE \$DAEMON_OPTIONS >>\$DAEMON_LOGFILE 2>&1 &
echo \$! > \$DAEMON_PIDFILE
read PID < "\$DAEMON_PIDFILE"

sleep \$INIT_SLEEPTIME
if ! is_running; then
echo "Daemon died immediately after starting. Please check your logs and configurations."
return 1
fi

echo "Daemon is running as PID \$PID"
return 0
}

stop () {
if is_running; then
read PID < "\$DAEMON_PIDFILE"
kill \$PID
fi
sleep \$INIT_SLEEPTIME
if is_running; then
while is_running; do
echo "waiting for daemon to die (PID \$PID)"
sleep \$INIT_SLEEPTIME
done
fi
rm -f "\$DAEMON_PIDFILE"
return 0
}

case "\$1" in
start)
root_only
log_daemon_msg "Starting \$DAEMON_NAME"
run
log_end_msg \$?
;;
stop)
root_only
log_daemon_msg "Stopping \$DAEMON_NAME"
stop
log_end_msg \$?
;;
restart)
root_only
\$0 stop && \$0 start
;;
status)
status_of_proc \
-p "\$DAEMON_PIDFILE" \
"\$DAEMON_EXECUTABLE" \
"\$DAEMON_NAME" \
&& exit 0 \
|| exit \$?
;;
*)
echo "Usage: \$0 {start|stop|restart|status}"
exit 1
;;
esac
END_LSB_INIT

echo "wrote out file"
chmod +x ${SERVICE_FILE}

HAS_UPDATE_RC_D=1; which update-rc.d >/dev/null || HAS_UPDATE_RC_D=0
HAS_CHKCONFIG=1; which chkconfig >/dev/null || HAS_CHKCONFIG=0

if [ $HAS_UPDATE_RC_D = 1 ]; then
echo ""
echo "Enabling service ${PACKAGE_NAME_LOWER} using update-rc.d..."
update-rc.d ${PACKAGE_NAME_LOWER} defaults
echo "Service Enabled"
elif [ $HAS_CHKCONFIG = 1 ]; then
echo ""
echo "Enabling service ${PACKAGE_NAME_LOWER} using chkconfig..."
chkconfig --add ${PACKAGE_NAME_LOWER}
echo "Service Enabled"
else
echo "Couldn't find a way to enable the init script"
exit 1
fi

echo ""
echo "Starting service ${PACKAGE_NAME_LOWER}..."
$SERVICE_FILE stop >/dev/null 2>&1 || true
$SERVICE_FILE start
echo "Service Started"

echo "Setting up $PACKAGE_NAME to run at boot using LSB scripts"
fi

CLEAN_EXIT=1

echo ""
hr
echo ""
echo "All Done! $PACKAGE_NAME should be running on your machine now".
echo ""
hr
echo ""
}

function uninstall {
#
# Print banner/message
#
echo ""
hr
echo ""
echo -e "${COL_BOLD}Welcome to the $PACKAGE_NAME uninstaller${COL_RESET}"
echo ""
echo "This removes $PACKAGE_NAME from your machine by doing the following:"
echo ""
echo " - deleting all files in /opt/$PACKAGE_NAME"
echo " - removing $PACKAGE_NAME as a system service"
echo ""
echo "This uninstaller is only for systems that were installed using this installer script."
echo "If you performed a custom install by hand, this is not for you."
echo ""
echo " http://kb.roonlabs.com/LinuxInstall"
echo ""
hr
echo ""

#
# Check for linux (in case someone runs on OS X, Cygwin, BSD, etc)
#
case `uname -s` in
Linux)
;;
*)
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This package is intended for Linux platforms. It is not compatible with your machine. Exiting."
;;
esac

#
# Check for proper architecture
#
case "$MACHINE_ARCH" in
armv7*)
if [ x$ARCH = xarmv7hf ]; then OK=1; fi
;;
aarch64*)
if [ x$ARCH = xarmv8 ]; then OK=1; fi
if [ x$ARCH = xarmv7hf ]; then OK=1; fi
;;
x86_64*)
if [ x$ARCH = xx64 ]; then OK=1; fi
;;
esac

#
# Check for root privileges
#
if [ x$UID != x0 ]; then
echo ""
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This installer must be run with root privileges. Exiting."
echo ""
exit 2
fi

if [ x$OK != x1 ]; then
echo ""
echo -e "${COL_RED}${COL_BLOLD}Error:${COL_RESET} This package is intended for $ARCH platforms. It is not compatible with your machine. Exiting."
echo ""
exit 3
fi

function confirm_n {
while true; do
read -p "$1 [y/N] " yn
case $yn in
[Yy]* )
break
;;
"")
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
[Nn]* )
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
* ) echo "Please answer yes or no.";;
esac
done
}

function confirm {
while true; do
read -p "$1 [Y/n] " yn
case $yn in
"")
break
;;
[Yy]* )
break
;;
[Nn]* )
CLEAN_EXIT=1
echo ""
echo "Ok. Exiting."
echo ""
exit 4
;;
* ) echo "Please answer yes or no.";;
esac
done
}

#
# Double-check with user that this is what they want
#
confirm_n "Are you sure that you want to uninstall $PACKAGE_NAME on this machine?"

# set up systemd
HAS_SYSTEMCTL=1; which systemctl >/dev/null || HAS_SYSTEMCTL=0

if [ $HAS_SYSTEMCTL = 1 -a -d /etc/systemd/system ]; then
SERVICE_FILE=/etc/systemd/system/${PACKAGE_NAME_LOWER}.service

echo ""
echo "Stopping service $PACKAGE_NAME_LOWER"
systemctl stop $PACKAGE_NAME_LOWER || true
echo "Service Stopped"

echo ""
echo "Disabling service ${PACKAGE_NAME_LOWER}..."
systemctl disable ${PACKAGE_NAME_LOWER}.service || true
echo "Service Disabled"

echo ""
echo "Removing service file $SERVICE_FILE"
rm -f $SERVICE_FILE

else
SERVICE_FILE=/etc/init.d/${PACKAGE_NAME_LOWER}

echo ""
echo "Stopping service ${PACKAGE_NAME_LOWER}..."
$SERVICE_FILE stop >/dev/null 2>&1 || true
echo "Service Stopped"

echo ""
echo "Removing service ${PACKAGE_NAME_LOWER}..."
if [ $HAS_UPDATE_RC_D = 1 ]; then
echo ""
echo "Disabling service ${PACKAGE_NAME_LOWER} using update-rc.d..."
update-rc.d ${PACKAGE_NAME_LOWER} remove
echo "Service Disabled"
elif [ $HAS_CHKCONFIG = 1 ]; then
echo ""
echo "Disabling service ${PACKAGE_NAME_LOWER} using chkconfig..."
chkconfig --del ${PACKAGE_NAME_LOWER}
echo "Service Disabled"
else
echo "Couldn't find a way to disable the init script"
exit 0
fi
echo "Service Removed"

echo ""
echo "Removing service file $SERVICE_FILE"
rm -f $SERVICE_FILE
fi

echo ""
echo -n "Deleting all files in /opt/$PACKAGE_NAME"
rm -Rf /opt/$PACKAGE_NAME

CLEAN_EXIT=1

echo ""
hr
echo ""
echo "All Done! $PACKAGE_NAME should be uninstalled."
echo ""
hr
echo ""
}

if [ x$1 == xuninstall ]; then
uninstall
else
install
fi


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
#10WOW. Jeg kender intet

#10

WOW. Jeg kender intet til Roon, bruger det ikke, så jeg ved ikke om det er relateret til manglende funktionalitet med SMB, Mint eller NAS, men prøv at følge #9


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#8

#8
Det trådløse netværk er slået fra kører med kabel.
Ja Asuspc er der hvor Mint er installeret :-)
Det hjalp ikke noget det samme i Roon, da jeg prøvede at tilkoble NAS med
netværksstrengen til NAS'en og Brugernavn og kode.


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Det trådløse netværk

#12: Det trådløse netværk er slået fra kører med kabel.
Ja Asuspc er der hvor Mint er installeret :-)

nbtscan fortæller at mint (asus) maskinen er masterbrowser med to netkort. Det vil sige at der er et eller andet rod på dit lokal netværk, formentlig at netkortet du ikke bruger stadig er aktivt.

Har du installeret Roon (jeg antager er et server program) på NAS serveren eller på Mint 19 klienten?


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#12

Det er på Mint 19 og styres igennem iPad, NAS er kun sat op til at køre SMB.
Har også installeret Roon på min Mac BookPro, der virker NAS tilgangen godt ?
Har du nogle råd om hvor i mit netværk jeg skal checke, NAS opsætningen ?
Har sat NAS op efter Roon forums anvisninger.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
Setup fil

#10
Havde du nogle bud på hvordan jeg kører den setup fil i Mint ?


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Services med adgang til

Services med adgang til andre LAN maskiner, kører på maskinen man ønsker adgang til, i dit tilfælde NAS. Derfor bør server programmer installeres på NAS.

Hvis macOS, Windows eller Linux skal fungere som server, så er det dem server programmet skal installeres på. Jeg skal gerne indrømme jeg ikke forstår hvad du mener, men det skyldes muligvis jeg ikke kender Roon.

Der findes andre medie servere, eksempelvis Plex. Det samme gælder for dem.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#16 Tak for hjælpen

#16
Tak for hjælpen frogmaster, jeg har fået noget at komme videre med, tak


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
#17Selv tak persen61.Der

#17

Selv tak persen61.

Der er formentlig ikke noget galt med din Mint opsætning, men siden det ikke er den du ønsker skal være medie server, så kunne det være årsag til misforståelsen.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
Jo Roon musik programmet

Jo Roon musik programmet kører som server på Mint 19, og det virker super godt, men når jeg tilgår settings i Roon på iPaden hvor man styrer Roon server på Mint 19 fra, kan jeg kun tilgå en USB HD og ikke netværks HD.
Selvom jeg har mountet Netværks HD i Mint 19.
Det er det der driller mig. :-)


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
men når jeg tilgår

#19: men når jeg tilgår settings i Roon på iPaden hvor man styrer Roon server på Mint 19 fra, kan jeg kun tilgå en USB HD og ikke netværks HD.Selvom jeg har mountet Netværks HD i Mint 19.

Når, eller hvis, det er nødvendigt først at mounte en LAN deling iht medie services, så er det for at kontrollere for netværksfejl. Det er almindeligvis ikke nødvendigt.

Mange har slet ikke brug for at installere en medie-server på mere end en maskine, med mindre det handler om viden om alle disse operative systemer.

Noget andet er ren medie server funktion, eksempelvis til et TV, eller til klienter med kompatible medie programmer installeret. Jeg kan godt forstå hvis det driller.

Jeg går lidt udfra din iPad er trådløs og derfor skal bruge det trådløse netkort på Mint, hvis det er Mint der skal være medie server.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#17

Hej frogmaster
Nyhed omkring mit musik program, jeg fandt ud af, at jeg skulle starte det op som administrator, så fik jeg lov til at tilgå NAS'en, så alt kører som det skal, tak for input så jeg kom videre :-)
og måske hjælp til andre senere.


frogmaster
frogmaster's picture
Antal: 3721
Tilmeldt:
20-05-2010
User is offline
Selv tak persen, du fandt

Selv tak persen, du fandt selv løsningen. Jeg lærer også af din tråd og tak for det.

Du kan muligvis få NAS og Roon til acceptere tilladelserne fra din bruger konto på Mint, ved også at oprette den på NAS (samme brugernavn og password) og derefter tilføje kontoen til delingen.


persen61
persen61's picture
Antal: 229
Tilmeldt:
04-01-2009
User is offline
#22

Det gjorde jeg faktisk, lavede en bruger på NAS, som hed Roon kode: xxxxxxxx, i Roon, som jeg åbnede som administrator, skrev jeg min nye NAS bruger ind under oprettelse af netværks HD og jeg fik tilgang til alle mine musikfiler.
:-)